<!DOCTYPE html>
<html lang="en">
    <head>
        <?php 
            $system_image=DB::table('system_settings')->select('description')->where('type', 'system_image')->get(); 
            $system_name=DB::table('system_settings')->select('description')->where('type', 'system_name')->get(); 
        ?>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>" />
        <title><?php echo $system_name[0]->description; ?> :: Users Customers Portal</title>

        <link href="<?php echo e(url('/public/users/assets/css/bootstrap.min.css')); ?>" rel="stylesheet" type="text/css" />
        <link href="<?php echo e(url('/public/users/assets/css/style.css')); ?>" rel="stylesheet" type="text/css" />
        <link href="<?php echo e(url('/public/users/assets/css/custom.css')); ?>" rel="stylesheet" type="text/css" />   
    </head>
    <body>
        <div id="wrapper">
            <div class="container-fluid">
                <div class="row login min-vh-100">
                    <!-- LEFT SECTION START -->
                    <div class="col-lg-6 left d-lg-flex align-items-center justify-content-center justify-content-md-start py-5 d-none">
                        <img src="<?php echo e(url('/public/users/assets/images/Rocket_Boy_Flatline.png')); ?>" class="img-fluid w-75 mx-auto" alt="image">
                    </div>
                    <!-- LEFT SECTION END -->

                    <!-- RIGHT SECTION START -->
                    <div class="col-lg-6 d-flex flex-column justify-content-sm-around justify-content-center align-items-center flex-wrap py-5">
                        <!-- SYSTEM LOGO START -->
                        <div class="logo text-center">
                            <img src="<?php echo e(url('/public/uploads/system_image/'.$system_image[0]->description)); ?>" class="img-fluid img-logo" alt="image">
                            <h3 class="main-heading mt-4">Hi,👋<br/>Welcome Back..!</h3>
                            <p class="sub-heading">Sign In to your <?php echo $system_name[0]->description; ?> account.</p>
                        </div>
                        <!-- SYSTEM LOGO END -->
                        <div class="login-tabs text-center mt-5 w-100 d-flex flex-column align-items-center">
                            <ul class="nav nav-pills mb-5 mx-auto" id="pills-tab" role="tablist">
                                <li class="nav-item" role="presentation">
                                  <button class="nav-link active" id="pills-home-tab" data-bs-toggle="pill" data-bs-target="#pills-home" type="button" role="tab" aria-controls="pills-home" aria-selected="true">Individual</button>
                                </li>
                                <li class="nav-item" role="presentation">
                                  <button class="nav-link" id="pills-profile-tab" data-bs-toggle="pill" data-bs-target="#pills-profile" type="button" role="tab" aria-controls="pills-profile" aria-selected="false">Corporate</button>
                                </li>
                            </ul>
                            <div class="tab-content" id="pills-tabContent">
                                <div class="tab-pane fade show active" id="pills-home" role="tabpanel" aria-labelledby="pills-home-tab" tabindex="0">
                                    <!-- FORM LOGIN INDIVIDUAL START -->
                                    <form id="frm_login_individual">
                                        <?php echo csrf_field(); ?>
                                        <!-- EMAIL -->
                                        <div class="form-group mb-3 position-relative">
                                            <span class="input-icon"><img src="<?php echo e(url('/public/users/assets/images/icons/email.png')); ?>" class="img-fluid" ></span>
                                            <input type="email" class="form-control" placeholder="Email" aria-label="Email" name="email" id="email">
                                        </div>
                                        <div class="form-group position-relative w-pass mb-3">
                                            <!-- PASSWORD -->
                                            <span class="input-icon"><img src="<?php echo e(url('/public/users/assets/images/icons/lock.png')); ?>" class="img-fluid" ></span>
                                            <input type="password" class="form-control" placeholder="Create password" aria-label="Create password" name="password" id="password">
                                            <span class="input-icon right"><img src="<?php echo e(url('/public/users/assets/images/icons/Eye-slash 1.png')); ?>" class="img-fluid" id="icon_password"></span>
                                            <!-- FORGOT PASSWORD LINK -->
                                            <a href="<?php echo e(url('/users/forgot_password')); ?>" class="text-success float-end mb-5 mt-3">Forgot password?</a>
                                        </div>
                                        <!-- BUTTON -->
                                        <button type="submit" class="btn btn-login btn-primary w-100 mt-5">Login</button>
                                    </form>
                                    <!-- FORM LOGIN INDIVIDUAL END -->
                                </div>
                                <div class="tab-pane fade" id="pills-profile" role="tabpanel" aria-labelledby="pills-profile-tab" tabindex="0">
                                    <!-- FORM LOGIN CORPORATE START -->
                                    <form id="frm_login_corporate">
                                        <?php echo csrf_field(); ?>
                                        <!-- EMAIL -->
                                        <div class="form-group mb-3 position-relative">
                                            <span class="input-icon"><img src="<?php echo e(url('/public/users/assets/images/icons/email.png')); ?>" class="img-fluid" ></span>
                                            <input type="email" class="form-control" placeholder="Email" aria-label="Email" name="corporate_email" id="corporate_email">
                                        </div>
                                        <div class="form-group position-relative w-pass mb-3">
                                            <!-- PASSWORD -->
                                            <span class="input-icon"><img src="<?php echo e(url('/public/users/assets/images/icons/lock.png')); ?>" class="img-fluid" ></span>
                                            <input type="password" class="form-control" placeholder="Create password" aria-label="Create password" name="corporate_password" id="corporate_password">
                                            <span class="input-icon right"><img src="<?php echo e(url('/public/users/assets/images/icons/Eye-slash 1.png')); ?>" class="img-fluid" id="icon_corporate_password"></span>
                                            <!-- FORGOT PASSWORD LINK -->
                                            <a href="<?php echo e(url('/users/forgot_password')); ?>" class="text-success float-end  mb-5 mt-3">Forgot password?</a>
                                        </div>
                                        <!-- BUTTON -->
                                        <button type="submit" class="btn btn-login btn-primary w-100 mt-5">Login</button>
                                    </form>
                                    <!-- FORM LOGIN CORPORATE END -->
                                </div>
                            </div>
                        </div> 
                    </div>
                    <!-- RIGHT SECTION END -->
                </div>
            </div>
        </div>
        <!-- SCRIPTS -->
        <script src="<?php echo e(url('public/users/assets/js/bootstrap.bundle.js')); ?>"></script>
        <script src="<?php echo e(url('/public/vendor/jquery/jquery.min.js')); ?>"></script>
        <script src="<?php echo e(url('/public/vendor/jquery_validation/jquery.validate.min.js')); ?>"></script>
        <script>
            $(document).ready(function() {
                // --------------- SHOW / HIDE PASSWORD --------------- //
                $("#icon_password").on("click", function() {
                    var input = $("#password");
                    if(input.attr("type") === "password") {
                        input.attr("type","text");
                    } else{
                        input.attr("type","password");
                    }
                });
                $("#icon_corporate_password").on("click", function() {
                    var input = $("#corporate_password");
                    if(input.attr("type") === "password") {
                        input.attr("type","text");
                    } else{
                        input.attr("type","password");
                    }
                });
                // --------------- SHOW / HIDE PASSWORD --------------- //

                // --------------- FORM LOGIN INDIVIDUAL VALIDATION ---------------//
                $("#frm_login_individual").validate({
                    rules: {
                        email: {
                            required: true,
                            email: true
                        },
                        password: {
                            required: true
                        },
                    },
                    messages: {
                        email: {
                            required: "This field is required.",
                            email: "Please enter a valid email address."
                        },
                        password: {
                            required: "This field is required."
                        },
                    },
                    errorPlacement: function(error, element) {
                        error.insertAfter(element);
                    }
                }); 
                // --------------- FORM LOGIN INDIVIDUAL VALIDATION ---------------//

                // --------------- FORM LOGIN INDIVIDUAL SUBMISSION ---------------//
                $("#frm_login_individual").on("submit", function(event) {
                    event.preventDefault();
                    if($("#frm_login_individual").valid()) {
                        var email = $("#email").val();        //alert(email);
                        var password = $("#password").val();  //alert(password); 

                        var settings = {
                            "url": "<?php echo e(env('API_URL')); ?>" + "signin",
                            "method": "POST",
                            "timeout": 0,
                            "headers": {
                                "Content-Type": "application/json"
                            },
                    
                            "data": JSON.stringify({
                                "email": email,
                                "password": password,
                            }),
                        };

                        $.ajax(settings).done(function (response) {
                            if(response.status == "error"){ 
                                Command: toastr['error'](response.message);
                            } else{
                                if(response.data.users_customers_type == "Individual") {
                                    var settings = {
                                        "url": "/",
                                        "method": "POST",
                                        "timeout": 0,
                                        "headers": {
                                            "Content-Type": "application/json"
                                        },
                    
                                        "data": JSON.stringify({
                                            //"data": response.data,
                                            "_token": "<?php echo e(csrf_token()); ?>",
                                            "users_customers_type": response.data.users_customers_type,
                                            "users_customers_id": response.data.users_customers_id,
                                            "profile_pic": response.data.profile_pic,
                                            "first_name": response.data.first_name,
                                            "last_name": response.data.last_name,
                                            "email": response.data.email,
                                            "phone": response.data.phone,
                                        }),
                                    };

                                    $.ajax(settings).done(function (response) {
                                        if(response == true){ 
                                            window.location.href = "/users/dashboard";
                                        } else{
                                            Command: toastr['error']("Oops! Something went wrong. Try again");
                                        } 
                                    });
                                } else{
                                    Command: toastr['error']("Please select the correct user type for login.");
                                }
                            }
                        });
                    }
                });
                // --------------- FORM LOGIN INDIVIDUAL SUBMISSION ---------------//

                // --------------- FORM LOGIN CORPORATE VALIDATION --------------- //
                $("#frm_login_corporate").validate({
                    rules: {
                        corporate_email: {
                            required: true,
                            email: true
                        },
                        corporate_password: {
                            required: true
                        },
                    },
                    messages: {
                        corporate_email: {
                            required: "This field is required.",
                            email: "Please enter a valid email address."
                        },
                        corporate_password: {
                            required: "This field is required."
                        },
                    },
                    errorPlacement: function(error, element) {
                        error.insertAfter(element);
                    }
                }); 
                // --------------- FORM LOGIN CORPORATE VALIDATION --------------- //

                // --------------- FORM LOGIN CORPORATE SUBMISSION --------------- //
                $("#frm_login_corporate").on("submit", function(event) {
                    event.preventDefault();
                    if($("#frm_login_corporate").valid()) {
                        var email = $("#corporate_email").val();        //alert(email);
                        var password = $("#corporate_password").val();  //alert(password); 

                        var settings = {
                            "url": "<?php echo e(env('API_URL')); ?>" + "signin",
                            "method": "POST",
                            "timeout": 0,
                            "headers": {
                                "Content-Type": "application/json"
                            },
                    
                            "data": JSON.stringify({
                                "email": email,
                                "password": password,
                            }),
                        };

                        $.ajax(settings).done(function (response) {
                            if(response.status == "error"){ 
                                Command: toastr['error'](response.message);
                            } else{
                                if(response.data.users_customers_type == "Company") {
                                    var settings = {
                                        "url": "/",
                                        "method": "POST",
                                        "timeout": 0,
                                        "headers": {
                                            "Content-Type": "application/json"
                                        },
                    
                                        "data": JSON.stringify({
                                            "_token": "<?php echo e(csrf_token()); ?>",
                                            "users_customers_type": response.data.users_customers_type,
                                            "users_customers_id": response.data.users_customers_id,
                                            "profile_pic": response.data.profile_pic,
                                            "company_name": response.data.company_name,
                                            "first_name": response.data.first_name,
                                            "email": response.data.email,
                                            "phone": response.data.phone,
                                        }),
                                    };

                                    $.ajax(settings).done(function (response) {
                                        if(response == true){ 
                                            window.location.href = "/users/dashboard";
                                        } else{
                                            Command: toastr['error']("Oops! Something went wrong. Try again");
                                        } 
                                    });  
                                } else{
                                    Command: toastr['error']("Please select the correct user type for login.");
                                }
                            }
                        });
                    }
                });
                // --------------- FORM LOGIN CORPORATE SUBMISSION --------------- //
            });
        </script>
        <!-- SCRIPTS -->

        <!-- TOASTERS -->
        <link href="<?php echo e(asset('toasters/toastr.min.css')); ?>" rel="stylesheet" type="text/css" />   
        <script src="<?php echo e(asset('toasters/toastr.min.js')); ?>" type="text/javascript"></script>
        <script>
            toastr.options = {
                "closeButton": true,
                "debug": false,
                "positionClass": "toast-top-right",
                "onclick": null,
                "showDuration": "1000",
                "hideDuration": "1000",
                "timeOut": "5000",
                "extendedTimeOut": "1000",
                "showEasing": "swing",
                "hideEasing": "linear",
                "showMethod": "fadeIn",
                "hideMethod": "fadeOut"
            }
            //Command: toastr['success']("hello");

            <?php if(Session::has('success')){ ?> Command: toastr['success']("<?php echo Session('success'); ?>"); <?php } ?>
            <?php if(Session::has('error')){ ?> Command: toastr['error']("<?php echo Session('error'); ?>"); <?php } ?>
            <?php if(Session::has('warning')){ ?> Command: toastr['warning']("<?php echo Session('warning'); ?>"); <?php } ?>
            <?php if(Session::has('info')){ ?> Command: toastr['info']("<?php echo Session('info'); ?>"); <?php } ?>
        </script>
        <!-- TOASTERS -->
    </body>
</html><?php /**PATH /home/eigixn5/public_html/swap/resources/views/users/users_customers_login.blade.php ENDPATH**/ ?>