<!DOCTYPE html>
<html lang="en">
    <head>
        <?php 
            $system_image=DB::table('system_settings')->select('description')->where('type', 'system_image')->get(); 
            $system_name=DB::table('system_settings')->select('description')->where('type', 'system_name')->get(); 
        ?>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title><?php echo $system_name[0]->description; ?> :: Users Customers Portal</title>

        <link href="<?php echo e(url('/public/users/assets/css/bootstrap.min.css')); ?>" rel="stylesheet" type="text/css" />
        <link href="<?php echo e(url('/public/users/assets/css/style.css')); ?>" rel="stylesheet" type="text/css" />
        <link href="<?php echo e(url('/public/users/assets/css/custom.css')); ?>" rel="stylesheet" type="text/css" />

    </head>
    <body>
        <div id="wrapper">
            <div class="container-fluid">
                <div class="row login min-vh-100">
                    <div class="col-lg-6 left d-lg-flex align-items-center justify-content-center justify-content-md-start py-5 d-none">
                        <img src="<?php echo e(url('/public/users/assets/images/Rocket_Boy_Flatline.png')); ?>" class="img-fluid w-75 mx-auto" alt="image">
                    </div>
                    <div class="col-lg-6 d-flex flex-column justify-content-sm-around justify-content-center align-items-center flex-wrap  py-5">
                        <div class="logo text-center">
                            <img src="<?php echo e(url('/public/uploads/system_image/'.$system_image[0]->description)); ?>" class="img-fluid img-logo" alt="image">
                            <h3 class="main-heading mt-4">Reset Password</h3>
                            <p class="sub-heading">Enter your new password.</p>
                            <!--<h3 class="main-heading mt-4">Hi,👋<br/>Welcome Back..!</h3>
                            <p class="sub-heading">Sign In to your <?php echo $system_name[0]->description; ?> account.</p>-->
                        </div>
                        <div class=" login-tabs text-center mt-0 w-100 d-flex flex-column align-items-center">
                            <!--<ul class="nav nav-pills mb-5 mx-auto" id="pills-tab" role="tablist">
                                <li class="nav-item" role="presentation">
                                  <button class="nav-link active" id="pills-home-tab" data-bs-toggle="pill" data-bs-target="#pills-home" type="button" role="tab" aria-controls="pills-home" aria-selected="true">Individual</button>
                                </li>
                                <li class="nav-item" role="presentation">
                                  <button class="nav-link" id="pills-profile-tab" data-bs-toggle="pill" data-bs-target="#pills-profile" type="button" role="tab" aria-controls="pills-profile" aria-selected="false">Corporate</button>
                                </li>
                            </ul>-->
                            <div class="tab-content" id="pills-tabContent">
                                <div class="tab-pane fade show active" id="pills-home" role="tabpanel" aria-labelledby="pills-home-tab" tabindex="0">
                                    <!-- FORM RESET PASSWORD START -->
                                    <form id="frm_reset_password">
                                        <?php echo csrf_field(); ?>
                                        <!-- PASSWORD -->
                                        <div class="form-group position-relative mb-3">
                                            <span class="input-icon"><img src="<?php echo e(url('/public/users/assets/images/icons/lock.png')); ?>" class="img-fluid" ></span>
                                            <input type="password" class="form-control" placeholder="Create password" aria-label="Create password" name="password" id="password">
                                            <span class="input-icon right"><img src="<?php echo e(url('/public/users/assets/images/icons/Eye-slash 1.png')); ?>" class="img-fluid" id="icon_password"></span> 
                                        </div>
                                        <!-- CONFIRM PASSWORD -->
                                        <div class="form-group position-relative mb-3">
                                            <span class="input-icon"><img src="<?php echo e(url('/public/users/assets/images/icons/lock.png')); ?>" class="img-fluid" ></span>
                                            <input type="password" class="form-control" placeholder="Confirm password" aria-label="Confirm password" name="confirm_password" id="confirm_password">
                                            <span class="input-icon right"><img src="<?php echo e(url('/public/users/assets/images/icons/Eye-slash 1.png')); ?>" class="img-fluid" id="icon_confirm_password"></span> 
                                        </div>
                                        <!-- BUTTON -->
                                        <button type="submit" class="btn btn-login btn-primary w-100 mt-5">Next</button>
                                    </form>
                                    <!-- FORM RESET PASSWORD END -->
                                </div>
                            </div>
                        </div> 
                    </div>
                </div>
            </div>
        </div>
        <!-- SCRIPTS -->
        <script src="<?php echo e(url('/public/users/assets/js/bootstrap.bundle.js')); ?>"></script>
        <script src="<?php echo e(url('/public/vendor/jquery/jquery.min.js')); ?>"></script>
        <script src="<?php echo e(url('/public/vendor/jquery_validation/jquery.validate.min.js')); ?>"></script>
        <script>
            $(document).ready(function() {
                // --------------- FORM VERIFICATION CODE VALIDATION --------------- //
                $("#frm_reset_password").validate({
                    rules:{
                        password:{
                            required: true
                        },
                        confirm_password:{
                            required: true
                        },
                    },
                    messages:{
                        password:{
                            required: "This field is required."
                        },
                        confirm_password:{
                            required: "This field is required."
                        },
                    },
                    errorPlacement: function(error, element) {
                        error.insertAfter(element);
                    }
                });
                // --------------- FORM VERIFICATION CODE VALIDATION --------------- //

                // --------------- FORM VERIFICATION CODE SUBMISSION --------------- //
                $("#frm_verification_code").on("submit", function(event) {
                    event.preventDefault();
                    if($("#frm_verification_code").valid()) {
                        var digit_1 = $("#digit_1").val();                //alert(digit_1);
                        var digit_2 = $("#digit_2").val();                //alert(digit_2);
                        var digit_3 = $("#digit_3").val();                //alert(digit_3);
                        var digit_4 = $("#digit_4").val();                //alert(digit_4);
                        var otp = digit_1 + digit_2 + digit_3 + digit_4;  //alert(otp);

                        var settings = {
                            "url": "<?php echo e(env('API_URL')); ?>" + "forgot_password",
                            "method": "POST",
                            "timeout": 0,
                            "headers": {
                                "Content-Type": "application/json"
                            },
                    
                            "data": JSON.stringify({
                                "verify_code": otp,
                            }),
                        };

                        $.ajax(settings).done(function (response) {
                            if(response.status == "error"){ 
                                Command: toastr['error'](response.message);
                            } else{
                                window.location.href = "/users/reset_password";
                            }
                        });
                    }
                });
                // --------------- FORM VERIFICATION CODE SUBMISSION --------------- //
            });
        </script>
        <!-- SCRIPTS -->

        <!-- TOASTERS -->
        <link href="<?php echo e(asset('toasters/toastr.min.css')); ?>" rel="stylesheet" type="text/css" />   
        <script src="<?php echo e(asset('toasters/toastr.min.js')); ?>" type="text/javascript"></script>
        <script>
            toastr.options = {
                "closeButton": true,
                "debug": false,
                "positionClass": "toast-top-right",
                "onclick": null,
                "showDuration": "1000",
                "hideDuration": "1000",
                "timeOut": "5000",
                "extendedTimeOut": "1000",
                "showEasing": "swing",
                "hideEasing": "linear",
                "showMethod": "fadeIn",
                "hideMethod": "fadeOut"
            }
            //Command: toastr['success']("hello");

            <?php if(Session::has('success')){ ?> Command: toastr['success']("<?php echo Session('success'); ?>"); <?php } ?>
            <?php if(Session::has('error')){ ?> Command: toastr['error']("<?php echo Session('error'); ?>"); <?php } ?>
            <?php if(Session::has('warning')){ ?> Command: toastr['warning']("<?php echo Session('warning'); ?>"); <?php } ?>
            <?php if(Session::has('info')){ ?> Command: toastr['info']("<?php echo Session('info'); ?>"); <?php } ?>
        </script>
        <!-- TOASTERS -->
    </body>
</html><?php /**PATH /home/eigixn5/public_html/swap/resources/views/users/users_customers_reset_password.blade.php ENDPATH**/ ?>