<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link href="<?php echo e(url('/users/assets/css/bootstrap.min.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(url('/users/assets/css/style.css')); ?>" rel="stylesheet" type="text/css" >
    <link href="<?php echo e(url('/users/assets/css/custom.css')); ?>" rel="stylesheet" type="text/css" >
</head>
<body>
    
    <div id="wrapper">
        <div class="container-fluid">
            <div class="row login min-vh-100">
                <div class="col-lg-6 left d-lg-flex align-items-center justify-content-center justify-content-md-start py-5 d-none">
                    <img src="<?php echo e(url('/users/assets/images/Rocket_Boy_Flatline.png')); ?>" class="img-fluid w-75 mx-auto" alt="image">
                </div>
                <div class="col-lg-6 d-flex flex-column justify-content-sm-around justify-content-center align-items-center flex-wrap  py-5">
                    <div class="logo text-center">
                        <img src="<?php echo e(url('/users/assets/images/logo.png')); ?>" class="img-fluid img-logo" alt="image">
                        <h3 class="main-heading mt-4">Forget Password?</h3>
                        <p class="sub-heading">Enter your registered email to reset <br/> your password.</p>
                            <!-- FORM FORGOT PASSWORD START -->
                            <form id="frm_forgot_password" class="mt-5">
                                <!-- EMAIL -->
                                <div class="form-group mb-3">
                                    <span class="input-icon"><img src="<?php echo e(url('/public/users/assets/images/icons/email.png')); ?>" class="img-fluid" ></span>
                                    <input type="email" class="form-control" placeholder="Email" aria-label="Email" name="email" id="email">
                                    <span id="error_msg"></span>
                                </div>
                                <!-- BUTTON -->
                                <button type="submit" class="btn btn-login btn-primary w-100 mt-5">Next</button>
                            </form>
                            <!-- FORM FORGOT PASSWORD END -->
                    </div>
                </div>
            </div>
        </div>
    </div>
<!-- SCRIPTS -->
        <script src="<?php echo e(url('/users/assets/js/bootstrap.bundle.js')); ?>"></script>
        <script src="<?php echo e(url('/users/assets/js/jquery.min.js')); ?>"></script>
        <script src="<?php echo e(url('/users/assets/js/jquery.validate.min.js')); ?>"></script>
        <script>
            $(document).ready(function() {
                // --------------- FORM FORGOT PASSWORD VALIDATION --------------- //
                $("#frm_forgot_password").validate({
                    rules:{
                        email:{
                            required: true,
                            email: true
                        },
                    },
                    messages:{
                        email:{
                            required: "This field is required.",
                            email: "Please enter a valid email."
                        },
                    },
                    errorPlacement: function(error, element) {
                        if(element.attr("name") == "email") {
                            $("#error_msg").html(error);
                        } else {
                            //error.insertAfter(element);
                        }
                    }
                });
                // --------------- FORM FORGOT PASSWORD VALIDATION --------------- //

                // --------------- FORM FORGOT PASSWORD SUBMISSION --------------- //
                $("#frm_forgot_password").on("submit", function(event) {
                    event.preventDefault();
                    if($("#frm_forgot_password").valid()) {
                        var email = $("#email").val();  //alert(email);

                        var settings = {
                            "url": "<?php echo e(env('API_URL')); ?>" + "forgot_password",
                            "method": "POST",
                            "timeout": 0,
                            "headers": {
                                "Content-Type": "application/json"
                            },
                    
                            "data": JSON.stringify({
                                "email": email,
                            }),
                        };

                        $.ajax(settings).done(function (response) {
                            if(response.status == "error"){ 
                                Command: toastr['error'](response.message);
                            } else{
                                alert(JSON.stringify(response.data));
                                //window.location.href = "/users/verification_code";
                            }
                        });  
                    }
                });
                // --------------- FORM FORGOT PASSWORD SUBMISSION --------------- //
            });
        </script>
        <!-- SCRIPTS -->

</body>
</html><?php /**PATH /home/eigixn5/public_html/swap/resources/views/users/users_customers_forgot_password.blade.php ENDPATH**/ ?>