<!DOCTYPE html>
<html lang="en">
    <head>
        <?php 
            $system_image=DB::table('system_settings')->select('description')->where('type', 'system_image')->get(); 
            $system_name=DB::table('system_settings')->select('description')->where('type', 'system_name')->get(); 
        ?>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title><?php echo $system_name[0]->description; ?> :: Users Customers Portal</title>
    
        <link href="<?php echo e(url('/public/users/assets/css/bootstrap.min.css')); ?>" rel="stylesheet" type="text/css" />
        <link href="<?php echo e(url('/public/users/assets/css/style.css')); ?>" rel="stylesheet" type="text/css" />
         <link href="<?php echo e(url('/public/users/assets/css/custom.css')); ?>" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <div id="wrapper">
            <div class="container-fluid">
                <div class="row login min-vh-100">
                    <!-- LEFT SECTION START -->
                    <div class="col-lg-6 left d-lg-flex align-items-center justify-content-center justify-content-md-start py-5 d-none">
                        <img src="<?php echo e(url('/public/users/assets/images/Rocket_Boy_Flatline.png')); ?>" class="img-fluid w-75 mx-auto" alt="image">
                    </div>
                    <!-- LEFT SECTION END -->

                    <!-- RIGHT SECTION START -->
                    <div class="col-lg-6 d-flex flex-column justify-content-sm-around justify-content-center align-items-center flex-wrap  py-5">
                        <div class="logo text-center">
                            <img src="<?php echo e(url('/public/uploads/system_image/'.$system_image[0]->description)); ?>" class="img-fluid img-logo" alt="image">
                            <h3 class="main-heading mt-4">Forget Password?</h3>
                            <p class="sub-heading">Enter your registered email to reset <br/> your password.</p>
                            <!-- FORM FORGOT PASSWORD START -->
                            <form id="frm_forgot_password" class="mt-5">
                                <!-- EMAIL -->
                                <div class="form-group mb-3 position-relative">
                                    <span class="input-icon"><img src="<?php echo e(URL('/public/users/assets/images/icons/email.png')); ?>" class="img-fluid"></span>
                                    <input type="email" class="form-control" placeholder="Email address" aria-label="Email" name="email" id="email">
                                    <span id="error_msg"></span>
                                </div>
                                <!-- BUTTON -->
                                <button type="submit" class="btn btn-login btn-primary w-100 mt-5">Next</button>
                            </form>
                            <!-- FORM FORGOT PASSWORD END -->
                        </div>
                    </div>
                    <!-- RIGHT SECTION END -->
                </div>
            </div>
        </div>

        <!-- SCRIPTS -->
        <script src="<?php echo e(url('/public/users/assets/js/bootstrap.bundle.js')); ?>"></script>
        <script src="<?php echo e(url('/public/users/assets/js/jquery.min.js')); ?>"></script>
        <script src="<?php echo e(url('/public/users/assets/js/jquery.validate.min.js')); ?>"></script>
        <script>
            $(document).ready(function() {
                // --------------- FORM FORGOT PASSWORD VALIDATION --------------- //
                $("#frm_forgot_password").validate({
                    rules: {
                        email: {
                            required: true,
                            email: true
                        },
                    },
                    messages: {
                        email: {
                            required: "This field is required.",
                            email: "Please enter a valid email address."
                        },
                    },
                    errorPlacement: function(error, element) {
                        if(element.attr("name") == "email") {
                            $("#error_msg").html(error);
                        } else {
                            //error.insertAfter(element);
                        }
                    }
                });
                // --------------- FORM FORGOT PASSWORD VALIDATION --------------- //
            });
        </script>
        <!-- SCRIPTS -->

        <!-- TOASTERS -->
        <link href="<?php echo e(asset('toasters/toastr.min.css')); ?>" rel="stylesheet" type="text/css" />   
        <script src="<?php echo e(asset('toasters/toastr.min.js')); ?>" type="text/javascript"></script>
        <script>
            toastr.options = {
                "closeButton": true,
                "debug": false,
                "positionClass": "toast-top-right",
                "onclick": null,
                "showDuration": "1000",
                "hideDuration": "1000",
                "timeOut": "5000",
                "extendedTimeOut": "1000",
                "showEasing": "swing",
                "hideEasing": "linear",
                "showMethod": "fadeIn",
                "hideMethod": "fadeOut"
            }
            //Command: toastr['success']("hello");

            <?php if(Session::has('success')){ ?> Command: toastr['success']("<?php echo Session('success'); ?>"); <?php } ?>
            <?php if(Session::has('error')){ ?> Command: toastr['error']("<?php echo Session('error'); ?>"); <?php } ?>
            <?php if(Session::has('warning')){ ?> Command: toastr['warning']("<?php echo Session('warning'); ?>"); <?php } ?>
            <?php if(Session::has('info')){ ?> Command: toastr['info']("<?php echo Session('info'); ?>"); <?php } ?>
        </script>
        <!-- TOASTERS -->
    </body>
</html><?php /**PATH /home/eigixn5/public_html/swap/resources/views/users/forgot_password.blade.php ENDPATH**/ ?>